petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateSphereMesh

Creates a mesh on the d-dimensional sphere, S^d.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateSphereMesh(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *dm)

Collective on MPI_Comm

### Input Parameters

comm -The communicator for the DM object
dim -The dimension
simplex -Use simplices, or tensor product cells

### Output Parameter

dm -The DM object

### Keywords

DM, create

### See Also

DMPlexCreateBoxMesh(), DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages